VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo:

## Avaliable Methods
public method | get_bus ()
public method | set_unit ()
public method | get_unit ()
public method | set_bus ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo` class contains information about the address of a virtual device that is attached to a virtual SATA adapter of a virtual machine.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo::get_bus | ( |  | ) |

Gets the value of 'bus' property.

Return values

  bus | - The current value of the field. Bus number of the adapter to which the device is attached. long#

Code:
click to view
# Number of lines of code in get_bus: 4
sub get_bus {
my ($self, %args) = @_;
return $self->{'bus'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo::get_unit | ( |  | ) |

Gets the value of 'unit' property.

Return values

  unit | - The current value of the field. Unit number of the device. long#

Code:
click to view
# Number of lines of code in get_unit: 4
sub get_unit {
my ($self, %args) = @_;
return $self->{'unit'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{bus} = $args{'bus'};
$self->{unit} = $args{'unit'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.sata_address_info');
$self->set_binding_field('key' => 'bus', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'unit', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo::set_bus | ( |  | ) |

Sets the given value for 'bus' property.

Parameters

  bus | - New value for the field. Bus number of the adapter to which the device is attached.

Code:
click to view
# Number of lines of code in set_bus: 5
sub set_bus {
my ($self, %args) = @_;
$self->{'bus'} = $args{'bus'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::SataAddressInfo::set_unit | ( |  | ) |

Sets the given value for 'unit' property.

Parameters

  unit | - New value for the field. Unit number of the device.

Code:
click to view
# Number of lines of code in set_unit: 5
sub set_unit {
my ($self, %args) = @_;
$self->{'unit'} = $args{'unit'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/SataAddressInfo.pm